SHCOMP(1)

NAME
shcomp - compile un script shell ksh93

SYNOPSIS
shcomp [ options ] [fichier-d-entrée] [fichier-de-sortie]]

ORIGINE DE CETTE PAGE DE MANUEL
Écrite par Christophe Martin <Schplurtz@free.fr>, pour le projet Debian GNU/Linux, elle est basée sur l'affichage de « shcomp --man ».

DESCRIPTION
À moins que -D ne soit spécifié sur la ligne de commande, shcomp lit un script, fichier-d-entrée, et crée un fichier binaire, fichier-de-sortie, que ksh93 peut lire et exécuter de la même manière et avec les mêmes effets que le script d'origine.

Puisque ils sont evalués lors de la lecture du script, les alias dont la valeur nécessite l'expansion de variables ne fonctionneront pas correctement.

Si on utilise l'option -D, toutes les chaines entre guillemets (") précédées d'un $ sont affichées. Ces chaines sont les messages qui doivent être traduits pour l'internationnalisation du script.

Si on omet fichier-de-sortie, alors le résultat est écrit sur la sortie standard. Si on omet également fichier-d-entrée, alors le script est lu depuis l'entrée standard.

OPTIONS

-D, --dictionary
    Génère une liste de chaines qui doivent être placées dans un catalogue de messages pour l'internationnalisation du script.

-n, --noexec
    Affiche des alertes lorsque le script contient des constructions obsolètes ou non conformes.

-v, --verbose
    Affiche Les lignes de fichier-d-entrée au fur et à mesure qu'elles sont lues.

--man
    Affiche cette page de manuel (en anglais) sur l'erreur standard et quitte.

--help
    Affiche une courte aide (en anglais) et quitte.

CODE DE RETOUR

0   Le programme a réussi.

>0  Une erreur s'est produite.

VOIR AUSSI
ksh(1)

IMPLEMENTATION
version         shcomp (AT&T Labs Research) 2003-03-02
author          David Korn <dgk@research.att.com>
copyright       Copyright (c) 1982-2005 AT&T Corp.
license         http://www.opensource.org/licenses/cpl1.0.txt